#!/usr/bin/env sh

## vars

path_prj_core_from=tools/heimdall-core.prj.json
path_prj_core_to=heimdall-core.prj.json
path_prj_app_from=tools/heimdall-app.prj.json
path_prj_app_to=heimdall-app.prj.json
path_prj_test_from=tools/heimdall-test.prj.json
path_prj_test_to=heimdall-test.prj.json


## exec

cp ${path_prj_core_from} ${path_prj_core_to}
cp ${path_prj_app_from} ${path_prj_app_to}
cp ${path_prj_test_from} ${path_prj_test_to}

koralle --execute ${path_prj_app_to}
chmod +r build/heimdall
koralle --execute ${path_prj_test_to}

rm ${path_prj_test_to}
rm ${path_prj_app_to}
rm ${path_prj_core_to}
